C=======================================================================
C
C     RECENT COMMON
C
C=======================================================================
      PARAMETER (MAXRHO = 5000)   ! Max. point in tabulated rho
C***** DEBUG
c     PARAMETER (MAXRES = 210000) ! Max. # of resonances
c     PARAMETER (MAXRES = 600000) ! Max. # of resonances
c-----2014/2/20 - reduced to 300000 from 600000
      PARAMETER (MAXRES = 300000) ! Max. # of resonances
C***** DEBUG
c-----2014/2/1 - decreased from 1,000 to 100
c     PARAMETER (MAXSEC = 1000)   ! Max. # of sections
      PARAMETER (MAXSEC =  100)   ! Max. # of sections
C***** DEBUG
C-----12/20/06 - INCREASED FROM 120,000 TO 360,000
C-----01/04/07 - DECREASED FROM 360,000 TO 120,000
C-----04/05/09 - INCREASED FROM 120,000 TO 210,000
C-----01/04/07 - ADDED MAXPTX FOR CROSS SECTION POINT VALUES.
C-----01/04/07 - INCREASED FROM 360,000 TO 600,000
C-----02/10/10 - TRIED INCREASING FROM 600,000 TO 1,200,000
C-----           NO RUNNING TIME ADVANTAGE = BACK TO 600,000.
      PARAMETER (MAXPTX  = 600000) ! Max. # energy points per page
C-----12/20/06 - INCREASED MAXSAVE FROM 200 TO 2,000
      PARAMETER (MAXSAVE = 2000)  ! Max. # of saved iteration points
C-----01/04/07 - MAX. # OF INTERPOLATION RANGES.
      PARAMETER (MAXINT = 1200)
C-----TABULATED ENERGY DEPENDENT RHO
      COMMON/TABRHO/ERHOTB(MAXRHO),RHOTAB(MAXRHO),APTAB(MAXRHO),
     1 NRHO(MAXSEC),NBTRHO(MAXSEC),INTRHO(MAXSEC),INXRHO(4,MAXSEC),
     2 NUMRHO
C-----RESONANCE PARAMETER SECTION PARAMETERS
      COMMON/SECTON1/BETA(MAXSEC),RHOX2(MAXSEC),RHOC2(MAXSEC),
     1 RHOP1(MAXSEC),GJTAB(MAXSEC),QVALUE(MAXSEC),
     2 ZETA(MAXSEC),EXCITE(4,MAXSEC),
     3 NLOW(MAXSEC),NHIGH(MAXSEC),LVALUE(MAXSEC),LVALUEC(MAXSEC),
     3 LRXTAB(MAXSEC),NAPTAB(MAXSEC),NGRTAB(2,MAXSEC),NPPTAB(MAXSEC)
      COMMON/SECTON2/EL(MAXSEC),EH(MAXSEC),POTL(MAXSEC),ADDL(MAXSEC),
     1 ECUTOFF,MODE(MAXSEC),ISECT,NSECT
C-----INTERPOLATION RANGES
      COMMON/TERPCOM/INTF(MAXINT),NBTF(MAXINT)
C
C     RESONANCE PARAMETER ARRAYS
C
C-----08/29/09 - EXPANDED RESTAB FROM 6 TO 12 PARAMETERS PER RESONANCE
C-----           TO HANDLE LRF=7 REICH-MOORE.
C----- WARNING - DO NOT DECREASE BELOW 12, TO HANDLE ADLER-ADLER
C***** DEBUG
C     COMMON ENRES(MAXRES),SHIFT2(MAXRES),ENODE(MAXRES),WIDNOD(MAXRES),
C    1 RESTAB(12,MAXRES),RESJTAB(MAXRES)
C***** DEBUG
      COMMON ENRES(MAXRES),SHIFT2(MAXRES),ENODE(MAXRES),WIDNOD(MAXRES),
     1 RESTAB(12,MAXRES),RESJTAB(MAXRES),RESTABER(MAXRES)
C***** DEBUG
C
C     CROSS SECTION ARRAYS
C     ETAB2   = FILE 2 RESONANCE  ENERGY
C     SIG2    = FILE 2 RESONANCE  CROSS SECTION
C     ETAB3   = FILE 3 BACKGROUND ENERGY
C     SIG3    = FILE 3 BACKGROUND CROSS SECTION
C     ETAB23  = COMBINED FILE 2 + 3 ENERGY
C     SIG23   = COMBINED FILE 2 + 3 CROSS SECTION
C     SIGMID  = CROSS SECTION AT MIDPOINT OF ITERATION INTERVAL
C
      PARAMETER (MAXNREACT = 11)
      COMMON ETAB2 (MAXPTX+1),SIG2 (MAXNREACT,MAXPTX+1),
     1       ETAB3 (MAXPTX),  SIG3 (MAXPTX),
     1       ETAB23(MAXPTX),  SIG23(MAXPTX),SIGMID(MAXNREACT),
     1       ESAVE(MAXSAVE),SIGSAVE(MAXNREACT,MAXSAVE),NSAVE
C
C     NOTE THAT ETAB2 AND SIG2 ARE DIMENSIONED MAXPTX+1, WHILE ETAB2X
C     AND SIG2X ARE DIMENSIONED MAXPTX - TO ALLOW PAGES TO BE WRITTEN
C     OR READ WHILE STILL KEEPING 1 ENERGY POINT IN MEMORY.
 
      DIMENSION ETAB2X(MAXPTX),SIG2X(MAXNREACT,MAXPTX)
      EQUIVALENCE (ETAB2(1) ,ETAB2X(1)),(SIG2(1,1),SIG2X(1,1))
